# This file was automatically generated by SWIG (http://www.swig.org).
# Version 4.0.2
#
# Do not make changes to this file unless you know what you are doing--modify
# the SWIG interface file instead.

from sys import version_info as _swig_python_version_info
if _swig_python_version_info < (2, 7, 0):
    raise RuntimeError("Python 2.7 or later required")

# Import the low-level C/C++ module
if __package__ or "." in __name__:
    from . import _esysrepo
else:
    import _esysrepo

try:
    import builtins as __builtin__
except ImportError:
    import __builtin__

def _swig_repr(self):
    try:
        strthis = "proxy of " + self.this.__repr__()
    except __builtin__.Exception:
        strthis = ""
    return "<%s.%s; %s >" % (self.__class__.__module__, self.__class__.__name__, strthis,)


def _swig_setattr_nondynamic_instance_variable(set):
    def set_instance_attr(self, name, value):
        if name == "thisown":
            self.this.own(value)
        elif name == "this":
            set(self, name, value)
        elif hasattr(self, name) and isinstance(getattr(type(self), name), property):
            set(self, name, value)
        else:
            raise AttributeError("You cannot add instance attributes to %s" % self)
    return set_instance_attr


def _swig_setattr_nondynamic_class_variable(set):
    def set_class_attr(cls, name, value):
        if hasattr(cls, name) and not isinstance(getattr(cls, name), property):
            set(cls, name, value)
        else:
            raise AttributeError("You cannot add class attributes to %s" % cls)
    return set_class_attr


def _swig_add_metaclass(metaclass):
    """Class decorator for adding a metaclass to a SWIG wrapped class - a slimmed down version of six.add_metaclass"""
    def wrapper(cls):
        return metaclass(cls.__name__, cls.__bases__, cls.__dict__.copy())
    return wrapper


class _SwigNonDynamicMeta(type):
    """Meta class to enforce nondynamic attributes (no new attributes) for a class"""
    __setattr__ = _swig_setattr_nondynamic_class_variable(type.__setattr__)


import weakref

class SwigPyIterator(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")

    def __init__(self, *args, **kwargs):
        raise AttributeError("No constructor defined - class is abstract")
    __repr__ = _swig_repr
    __swig_destroy__ = _esysrepo.delete_SwigPyIterator

    def value(self):
        return _esysrepo.SwigPyIterator_value(self)

    def incr(self, n=1):
        return _esysrepo.SwigPyIterator_incr(self, n)

    def decr(self, n=1):
        return _esysrepo.SwigPyIterator_decr(self, n)

    def distance(self, x):
        return _esysrepo.SwigPyIterator_distance(self, x)

    def equal(self, x):
        return _esysrepo.SwigPyIterator_equal(self, x)

    def copy(self):
        return _esysrepo.SwigPyIterator_copy(self)

    def next(self):
        return _esysrepo.SwigPyIterator_next(self)

    def __next__(self):
        return _esysrepo.SwigPyIterator___next__(self)

    def previous(self):
        return _esysrepo.SwigPyIterator_previous(self)

    def advance(self, n):
        return _esysrepo.SwigPyIterator_advance(self, n)

    def __eq__(self, x):
        return _esysrepo.SwigPyIterator___eq__(self, x)

    def __ne__(self, x):
        return _esysrepo.SwigPyIterator___ne__(self, x)

    def __iadd__(self, n):
        return _esysrepo.SwigPyIterator___iadd__(self, n)

    def __isub__(self, n):
        return _esysrepo.SwigPyIterator___isub__(self, n)

    def __add__(self, n):
        return _esysrepo.SwigPyIterator___add__(self, n)

    def __sub__(self, *args):
        return _esysrepo.SwigPyIterator___sub__(self, *args)
    def __iter__(self):
        return self

# Register SwigPyIterator in _esysrepo:
_esysrepo.SwigPyIterator_swigregister(SwigPyIterator)

SHARED_PTR_DISOWN = _esysrepo.SHARED_PTR_DISOWN
import esyslog
class ResultCode(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def __init__(self, *args):
        _esysrepo.ResultCode_swiginit(self, _esysrepo.new_ResultCode(*args))
    __swig_destroy__ = _esysrepo.delete_ResultCode

    def get_name(self):
        return _esysrepo.ResultCode_get_name(self)

    def set_id(self, id):
        return _esysrepo.ResultCode_set_id(self, id)

    def get_id(self):
        return _esysrepo.ResultCode_get_id(self)

    def __eq__(self, result_code):
        return _esysrepo.ResultCode___eq__(self, result_code)

    def __ne__(self, result_code):
        return _esysrepo.ResultCode___ne__(self, result_code)

    @staticmethod
    def s_get_cur_id():
        return _esysrepo.ResultCode_s_get_cur_id()

    @staticmethod
    def s_find_name(id):
        return _esysrepo.ResultCode_s_find_name(id)

    @staticmethod
    def s_is_id(id):
        return _esysrepo.ResultCode_s_is_id(id)

    @staticmethod
    def s_get_ints():
        return _esysrepo.ResultCode_s_get_ints()
    OK = property(_esysrepo.ResultCode_OK_get, _esysrepo.ResultCode_OK_set)
    GENERIC_ERROR = property(_esysrepo.ResultCode_GENERIC_ERROR_get, _esysrepo.ResultCode_GENERIC_ERROR_set)
    ERROR_OPENING_FILE = property(_esysrepo.ResultCode_ERROR_OPENING_FILE_get, _esysrepo.ResultCode_ERROR_OPENING_FILE_set)
    PATH_NOT_EXISTING = property(_esysrepo.ResultCode_PATH_NOT_EXISTING_get, _esysrepo.ResultCode_PATH_NOT_EXISTING_set)
    EMPTY_PATH = property(_esysrepo.ResultCode_EMPTY_PATH_get, _esysrepo.ResultCode_EMPTY_PATH_set)
    FILE_NOT_EXISTING = property(_esysrepo.ResultCode_FILE_NOT_EXISTING_get, _esysrepo.ResultCode_FILE_NOT_EXISTING_set)
    INTERNAL_ERROR = property(_esysrepo.ResultCode_INTERNAL_ERROR_get, _esysrepo.ResultCode_INTERNAL_ERROR_set)
    NOT_IMPLEMENTED = property(_esysrepo.ResultCode_NOT_IMPLEMENTED_get, _esysrepo.ResultCode_NOT_IMPLEMENTED_set)
    FOLDER_CREATION_ERROR = property(_esysrepo.ResultCode_FOLDER_CREATION_ERROR_get, _esysrepo.ResultCode_FOLDER_CREATION_ERROR_set)
    FAILED_TO_COPY = property(_esysrepo.ResultCode_FAILED_TO_COPY_get, _esysrepo.ResultCode_FAILED_TO_COPY_set)
    FAILED_TO_REMOVE_ALL = property(_esysrepo.ResultCode_FAILED_TO_REMOVE_ALL_get, _esysrepo.ResultCode_FAILED_TO_REMOVE_ALL_set)
    RAW_INT_ERROR = property(_esysrepo.ResultCode_RAW_INT_ERROR_get, _esysrepo.ResultCode_RAW_INT_ERROR_set)
    FOLDER_ALREADY_EXISTS = property(_esysrepo.ResultCode_FOLDER_ALREADY_EXISTS_get, _esysrepo.ResultCode_FOLDER_ALREADY_EXISTS_set)
    MANIFEST_IS_NULLPTR = property(_esysrepo.ResultCode_MANIFEST_IS_NULLPTR_get, _esysrepo.ResultCode_MANIFEST_IS_NULLPTR_set)
    CONFIG_FOLDER_IS_NULLPTR = property(_esysrepo.ResultCode_CONFIG_FOLDER_IS_NULLPTR_get, _esysrepo.ResultCode_CONFIG_FOLDER_IS_NULLPTR_set)
    GIT_IS_NULLPTR = property(_esysrepo.ResultCode_GIT_IS_NULLPTR_get, _esysrepo.ResultCode_GIT_IS_NULLPTR_set)
    JOB_COUNT_NEGATIVE = property(_esysrepo.ResultCode_JOB_COUNT_NEGATIVE_get, _esysrepo.ResultCode_JOB_COUNT_NEGATIVE_set)
    ERROR_VECTOR = property(_esysrepo.ResultCode_ERROR_VECTOR_get, _esysrepo.ResultCode_ERROR_VECTOR_set)
    CFGFILE_ERROR_PARSING_FILE = property(_esysrepo.ResultCode_CFGFILE_ERROR_PARSING_FILE_get, _esysrepo.ResultCode_CFGFILE_ERROR_PARSING_FILE_set)
    CFGFILE_NO_MANIFEST_TYPE = property(_esysrepo.ResultCode_CFGFILE_NO_MANIFEST_TYPE_get, _esysrepo.ResultCode_CFGFILE_NO_MANIFEST_TYPE_set)
    CFGFILE_UNKNOWN_MANIFEST_TYPE = property(_esysrepo.ResultCode_CFGFILE_UNKNOWN_MANIFEST_TYPE_get, _esysrepo.ResultCode_CFGFILE_UNKNOWN_MANIFEST_TYPE_set)
    CFGFILE_NO_MANIFEST_URL = property(_esysrepo.ResultCode_CFGFILE_NO_MANIFEST_URL_get, _esysrepo.ResultCode_CFGFILE_NO_MANIFEST_URL_set)
    CFGFILE_UNKNOWN_MANIFEST_KIND = property(_esysrepo.ResultCode_CFGFILE_UNKNOWN_MANIFEST_KIND_get, _esysrepo.ResultCode_CFGFILE_UNKNOWN_MANIFEST_KIND_set)
    CFGFILE_UNKNOWN_MANIFEST_FORMAT = property(_esysrepo.ResultCode_CFGFILE_UNKNOWN_MANIFEST_FORMAT_get, _esysrepo.ResultCode_CFGFILE_UNKNOWN_MANIFEST_FORMAT_set)
    MANIFEST_ERROR_PARSING_FILE = property(_esysrepo.ResultCode_MANIFEST_ERROR_PARSING_FILE_get, _esysrepo.ResultCode_MANIFEST_ERROR_PARSING_FILE_set)
    MANIFEST_NO_LOCATIONS_DEFINED = property(_esysrepo.ResultCode_MANIFEST_NO_LOCATIONS_DEFINED_get, _esysrepo.ResultCode_MANIFEST_NO_LOCATIONS_DEFINED_set)
    MANIFEST_ELEMENT_UNKNOWN = property(_esysrepo.ResultCode_MANIFEST_ELEMENT_UNKNOWN_get, _esysrepo.ResultCode_MANIFEST_ELEMENT_UNKNOWN_set)
    MANIFEST_ATTRIBUTE_UNKNOWN = property(_esysrepo.ResultCode_MANIFEST_ATTRIBUTE_UNKNOWN_get, _esysrepo.ResultCode_MANIFEST_ATTRIBUTE_UNKNOWN_set)
    MANIFEST_INCORRECT_ATTRIBUTE_VALUE = property(_esysrepo.ResultCode_MANIFEST_INCORRECT_ATTRIBUTE_VALUE_get, _esysrepo.ResultCode_MANIFEST_INCORRECT_ATTRIBUTE_VALUE_set)
    MANIFEST_NO_DEFAULT_LOCATION = property(_esysrepo.ResultCode_MANIFEST_NO_DEFAULT_LOCATION_get, _esysrepo.ResultCode_MANIFEST_NO_DEFAULT_LOCATION_set)
    MANIFEST_TYPE_UNKNOWN = property(_esysrepo.ResultCode_MANIFEST_TYPE_UNKNOWN_get, _esysrepo.ResultCode_MANIFEST_TYPE_UNKNOWN_set)
    MANIFEST_KIND_UNKNOWN = property(_esysrepo.ResultCode_MANIFEST_KIND_UNKNOWN_get, _esysrepo.ResultCode_MANIFEST_KIND_UNKNOWN_set)
    MANIFEST_FORMAT_UNKNOWN = property(_esysrepo.ResultCode_MANIFEST_FORMAT_UNKNOWN_get, _esysrepo.ResultCode_MANIFEST_FORMAT_UNKNOWN_set)
    MANIFEST_LOCATION_WITHOUT_NAME = property(_esysrepo.ResultCode_MANIFEST_LOCATION_WITHOUT_NAME_get, _esysrepo.ResultCode_MANIFEST_LOCATION_WITHOUT_NAME_set)
    MANIFEST_LOCATION_WITHOUT_ADDRESS = property(_esysrepo.ResultCode_MANIFEST_LOCATION_WITHOUT_ADDRESS_get, _esysrepo.ResultCode_MANIFEST_LOCATION_WITHOUT_ADDRESS_set)
    MANIFEST_REPOSITORY_WITHOUT_NAME = property(_esysrepo.ResultCode_MANIFEST_REPOSITORY_WITHOUT_NAME_get, _esysrepo.ResultCode_MANIFEST_REPOSITORY_WITHOUT_NAME_set)
    MANIFEST_REPOSITORY_WITHOUT_PATH = property(_esysrepo.ResultCode_MANIFEST_REPOSITORY_WITHOUT_PATH_get, _esysrepo.ResultCode_MANIFEST_REPOSITORY_WITHOUT_PATH_set)
    MANIFEST_GROUP_WITHOUT_NAME = property(_esysrepo.ResultCode_MANIFEST_GROUP_WITHOUT_NAME_get, _esysrepo.ResultCode_MANIFEST_GROUP_WITHOUT_NAME_set)
    MANIFEST_GROUP_REPO_WITHOUT_NAME = property(_esysrepo.ResultCode_MANIFEST_GROUP_REPO_WITHOUT_NAME_get, _esysrepo.ResultCode_MANIFEST_GROUP_REPO_WITHOUT_NAME_set)
    MANIFEST_GROUP_REPO_WITHOUT_PATH = property(_esysrepo.ResultCode_MANIFEST_GROUP_REPO_WITHOUT_PATH_get, _esysrepo.ResultCode_MANIFEST_GROUP_REPO_WITHOUT_PATH_set)
    MANIFEST_REPO_UNKNOWN = property(_esysrepo.ResultCode_MANIFEST_REPO_UNKNOWN_get, _esysrepo.ResultCode_MANIFEST_REPO_UNKNOWN_set)
    MANIFEST_FILE_EXT_UNKNOWN = property(_esysrepo.ResultCode_MANIFEST_FILE_EXT_UNKNOWN_get, _esysrepo.ResultCode_MANIFEST_FILE_EXT_UNKNOWN_set)
    MANIFEST_FAILED_TO_DETECT = property(_esysrepo.ResultCode_MANIFEST_FAILED_TO_DETECT_get, _esysrepo.ResultCode_MANIFEST_FAILED_TO_DETECT_set)
    MANIFEST_XML_DATA_NULLPTR = property(_esysrepo.ResultCode_MANIFEST_XML_DATA_NULLPTR_get, _esysrepo.ResultCode_MANIFEST_XML_DATA_NULLPTR_set)
    MANIFEST_REPOSITORY_WITHOUT_LOCATION = property(_esysrepo.ResultCode_MANIFEST_REPOSITORY_WITHOUT_LOCATION_get, _esysrepo.ResultCode_MANIFEST_REPOSITORY_WITHOUT_LOCATION_set)
    MANIFEST_FORMAT_NOT_SET = property(_esysrepo.ResultCode_MANIFEST_FORMAT_NOT_SET_get, _esysrepo.ResultCode_MANIFEST_FORMAT_NOT_SET_set)
    GREPO_FOLDER_NO_INCLUDE = property(_esysrepo.ResultCode_GREPO_FOLDER_NO_INCLUDE_get, _esysrepo.ResultCode_GREPO_FOLDER_NO_INCLUDE_set)
    CMDINIT_NO_URL = property(_esysrepo.ResultCode_CMDINIT_NO_URL_get, _esysrepo.ResultCode_CMDINIT_NO_URL_set)
    CMDINIT_FAILED_FETCH_UNKNOWN_MANIFEST = property(_esysrepo.ResultCode_CMDINIT_FAILED_FETCH_UNKNOWN_MANIFEST_get, _esysrepo.ResultCode_CMDINIT_FAILED_FETCH_UNKNOWN_MANIFEST_set)
    GIT_GENERIC_ERROR = property(_esysrepo.ResultCode_GIT_GENERIC_ERROR_get, _esysrepo.ResultCode_GIT_GENERIC_ERROR_set)
    GIT_UNKNOWN_PROTOCOL = property(_esysrepo.ResultCode_GIT_UNKNOWN_PROTOCOL_get, _esysrepo.ResultCode_GIT_UNKNOWN_PROTOCOL_set)
    GIT_RAW_INT_ERROR = property(_esysrepo.ResultCode_GIT_RAW_INT_ERROR_get, _esysrepo.ResultCode_GIT_RAW_INT_ERROR_set)
    GIT_ERROR_OPENING_REPO = property(_esysrepo.ResultCode_GIT_ERROR_OPENING_REPO_get, _esysrepo.ResultCode_GIT_ERROR_OPENING_REPO_set)
    GIT_RESET_TYPE_NOT_SET = property(_esysrepo.ResultCode_GIT_RESET_TYPE_NOT_SET_get, _esysrepo.ResultCode_GIT_RESET_TYPE_NOT_SET_set)
    GIT_RESET_TYPE_UNKNOWN = property(_esysrepo.ResultCode_GIT_RESET_TYPE_UNKNOWN_get, _esysrepo.ResultCode_GIT_RESET_TYPE_UNKNOWN_set)
    GIT_NO_BRANCH_FOUND = property(_esysrepo.ResultCode_GIT_NO_BRANCH_FOUND_get, _esysrepo.ResultCode_GIT_NO_BRANCH_FOUND_set)
    GIT_REPO_NOT_OPEN = property(_esysrepo.ResultCode_GIT_REPO_NOT_OPEN_get, _esysrepo.ResultCode_GIT_REPO_NOT_OPEN_set)
    GIT_FIND_REF_FAILED = property(_esysrepo.ResultCode_GIT_FIND_REF_FAILED_get, _esysrepo.ResultCode_GIT_FIND_REF_FAILED_set)
    GIT_GET_HASH_FAILED = property(_esysrepo.ResultCode_GIT_GET_HASH_FAILED_get, _esysrepo.ResultCode_GIT_GET_HASH_FAILED_set)
    GIT_NO_PARENT = property(_esysrepo.ResultCode_GIT_NO_PARENT_get, _esysrepo.ResultCode_GIT_NO_PARENT_set)
    CMD_INCORRECT_PARAMETERS_IN_CONTEXT = property(_esysrepo.ResultCode_CMD_INCORRECT_PARAMETERS_IN_CONTEXT_get, _esysrepo.ResultCode_CMD_INCORRECT_PARAMETERS_IN_CONTEXT_set)
    CMD_INCORRECT_PARAMETERS_COMBINATION = property(_esysrepo.ResultCode_CMD_INCORRECT_PARAMETERS_COMBINATION_get, _esysrepo.ResultCode_CMD_INCORRECT_PARAMETERS_COMBINATION_set)
    CMD_MISSING_PARAMETERS = property(_esysrepo.ResultCode_CMD_MISSING_PARAMETERS_get, _esysrepo.ResultCode_CMD_MISSING_PARAMETERS_set)
    CMD_GENERIC_RAW_ERROR = property(_esysrepo.ResultCode_CMD_GENERIC_RAW_ERROR_get, _esysrepo.ResultCode_CMD_GENERIC_RAW_ERROR_set)
    CMD_NO_ESYSREPO_FOLDER_FOUND = property(_esysrepo.ResultCode_CMD_NO_ESYSREPO_FOLDER_FOUND_get, _esysrepo.ResultCode_CMD_NO_ESYSREPO_FOLDER_FOUND_set)
    CMD_CONFIG_FOLDER_NULLPTR = property(_esysrepo.ResultCode_CMD_CONFIG_FOLDER_NULLPTR_get, _esysrepo.ResultCode_CMD_CONFIG_FOLDER_NULLPTR_set)
    CMD_GIT_IS_NULLPTR = property(_esysrepo.ResultCode_CMD_GIT_IS_NULLPTR_get, _esysrepo.ResultCode_CMD_GIT_IS_NULLPTR_set)
    CMD_GIT_IS_NOT_OPENED = property(_esysrepo.ResultCode_CMD_GIT_IS_NOT_OPENED_get, _esysrepo.ResultCode_CMD_GIT_IS_NOT_OPENED_set)
    CMD_GIT_OPEN_FAILED = property(_esysrepo.ResultCode_CMD_GIT_OPEN_FAILED_get, _esysrepo.ResultCode_CMD_GIT_OPEN_FAILED_set)
    CMD_GIT_IS_DIRTY_FAILED = property(_esysrepo.ResultCode_CMD_GIT_IS_DIRTY_FAILED_get, _esysrepo.ResultCode_CMD_GIT_IS_DIRTY_FAILED_set)
    CMD_GIT_FETCH_FAILED = property(_esysrepo.ResultCode_CMD_GIT_FETCH_FAILED_get, _esysrepo.ResultCode_CMD_GIT_FETCH_FAILED_set)
    CMD_GIT_GET_HEAD_FAILED = property(_esysrepo.ResultCode_CMD_GIT_GET_HEAD_FAILED_get, _esysrepo.ResultCode_CMD_GIT_GET_HEAD_FAILED_set)
    CMD_GIT_MORE_THAN_ONE_COMMIT = property(_esysrepo.ResultCode_CMD_GIT_MORE_THAN_ONE_COMMIT_get, _esysrepo.ResultCode_CMD_GIT_MORE_THAN_ONE_COMMIT_set)
    CMD_WORKSPACE_PATH_IS_EMPTY = property(_esysrepo.ResultCode_CMD_WORKSPACE_PATH_IS_EMPTY_get, _esysrepo.ResultCode_CMD_WORKSPACE_PATH_IS_EMPTY_set)
    CMDSYNC_ABORTED_FOUND_CHANGES = property(_esysrepo.ResultCode_CMDSYNC_ABORTED_FOUND_CHANGES_get, _esysrepo.ResultCode_CMDSYNC_ABORTED_FOUND_CHANGES_set)
    CMDSYNC_GIT_CAN_NOT_BE_FAST_FORWARDED = property(_esysrepo.ResultCode_CMDSYNC_GIT_CAN_NOT_BE_FAST_FORWARDED_get, _esysrepo.ResultCode_CMDSYNC_GIT_CAN_NOT_BE_FAST_FORWARDED_set)
    RUNTASKS_NO_TASK = property(_esysrepo.ResultCode_RUNTASKS_NO_TASK_get, _esysrepo.ResultCode_RUNTASKS_NO_TASK_set)

# Register ResultCode in _esysrepo:
_esysrepo.ResultCode_swigregister(ResultCode)

def ResultCode_s_get_cur_id():
    return _esysrepo.ResultCode_s_get_cur_id()

def ResultCode_s_find_name(id):
    return _esysrepo.ResultCode_s_find_name(id)

def ResultCode_s_is_id(id):
    return _esysrepo.ResultCode_s_is_id(id)

def ResultCode_s_get_ints():
    return _esysrepo.ResultCode_s_get_ints()
cvar = _esysrepo.cvar

ResultCodei_SUCCESS = _esysrepo.ResultCodei_SUCCESS
ResultCodei_OK = _esysrepo.ResultCodei_OK
ResultCodei_GENERIC_ERROR = _esysrepo.ResultCodei_GENERIC_ERROR
ResultCodei_ERROR_OPENING_FILE = _esysrepo.ResultCodei_ERROR_OPENING_FILE
ResultCodei_PATH_NOT_EXISTING = _esysrepo.ResultCodei_PATH_NOT_EXISTING
ResultCodei_EMPTY_PATH = _esysrepo.ResultCodei_EMPTY_PATH
ResultCodei_FILE_NOT_EXISTING = _esysrepo.ResultCodei_FILE_NOT_EXISTING
ResultCodei_INTERNAL_ERROR = _esysrepo.ResultCodei_INTERNAL_ERROR
ResultCodei_NOT_IMPLEMENTED = _esysrepo.ResultCodei_NOT_IMPLEMENTED
ResultCodei_FOLDER_CREATION_ERROR = _esysrepo.ResultCodei_FOLDER_CREATION_ERROR
ResultCodei_FAILED_TO_COPY = _esysrepo.ResultCodei_FAILED_TO_COPY
ResultCodei_FAILED_TO_REMOVE_ALL = _esysrepo.ResultCodei_FAILED_TO_REMOVE_ALL
ResultCodei_RAW_INT_ERROR = _esysrepo.ResultCodei_RAW_INT_ERROR
ResultCodei_FOLDER_ALREADY_EXISTS = _esysrepo.ResultCodei_FOLDER_ALREADY_EXISTS
ResultCodei_CFGFILE_ERROR_PARSING_FILE = _esysrepo.ResultCodei_CFGFILE_ERROR_PARSING_FILE
ResultCodei_CFGFILE_NO_MANIFEST_TYPE = _esysrepo.ResultCodei_CFGFILE_NO_MANIFEST_TYPE
ResultCodei_CFGFILE_UNKNOWN_MANIFEST_TYPE = _esysrepo.ResultCodei_CFGFILE_UNKNOWN_MANIFEST_TYPE
ResultCodei_CFGFILE_NO_MANIFEST_URL = _esysrepo.ResultCodei_CFGFILE_NO_MANIFEST_URL
ResultCodei_CFGFILE_UNKNOWN_MANIFEST_KIND = _esysrepo.ResultCodei_CFGFILE_UNKNOWN_MANIFEST_KIND
ResultCodei_CFGFILE_UNKNOWN_MANIFEST_FORMAT = _esysrepo.ResultCodei_CFGFILE_UNKNOWN_MANIFEST_FORMAT
ResultCodei_MANIFEST_ERROR_PARSING_FILE = _esysrepo.ResultCodei_MANIFEST_ERROR_PARSING_FILE
ResultCodei_MANIFEST_NO_LOCATIONS_DEFINED = _esysrepo.ResultCodei_MANIFEST_NO_LOCATIONS_DEFINED
ResultCodei_MANIFEST_ELEMENT_UNKNOWN = _esysrepo.ResultCodei_MANIFEST_ELEMENT_UNKNOWN
ResultCodei_MANIFEST_ATTRIBUTE_UNKNOWN = _esysrepo.ResultCodei_MANIFEST_ATTRIBUTE_UNKNOWN
ResultCodei_MANIFEST_INCORRECT_ATTRIBUTE_VALUE = _esysrepo.ResultCodei_MANIFEST_INCORRECT_ATTRIBUTE_VALUE
ResultCodei_MANIFEST_NO_DEFAULT_LOCATION = _esysrepo.ResultCodei_MANIFEST_NO_DEFAULT_LOCATION
ResultCodei_MANIFEST_TYPE_UNKNOWN = _esysrepo.ResultCodei_MANIFEST_TYPE_UNKNOWN
ResultCodei_MANIFEST_KIND_UNKNOWN = _esysrepo.ResultCodei_MANIFEST_KIND_UNKNOWN
ResultCodei_MANIFEST_LOCATION_WITHOUT_NAME = _esysrepo.ResultCodei_MANIFEST_LOCATION_WITHOUT_NAME
ResultCodei_MANIFEST_LOCATION_WITHOUT_ADDRESS = _esysrepo.ResultCodei_MANIFEST_LOCATION_WITHOUT_ADDRESS
ResultCodei_MANIFEST_REPOSITORY_WITHOUT_NAME = _esysrepo.ResultCodei_MANIFEST_REPOSITORY_WITHOUT_NAME
ResultCodei_MANIFEST_REPOSITORY_WITHOUT_PATH = _esysrepo.ResultCodei_MANIFEST_REPOSITORY_WITHOUT_PATH
ResultCodei_MANIFEST_GROUP_WITHOUT_NAME = _esysrepo.ResultCodei_MANIFEST_GROUP_WITHOUT_NAME
ResultCodei_MANIFEST_GROUP_REPO_WITHOUT_NAME = _esysrepo.ResultCodei_MANIFEST_GROUP_REPO_WITHOUT_NAME
ResultCodei_MANIFEST_GROUP_REPO_WITHOUT_PATH = _esysrepo.ResultCodei_MANIFEST_GROUP_REPO_WITHOUT_PATH
ResultCodei_MANIFEST_REPO_UNKNOWN = _esysrepo.ResultCodei_MANIFEST_REPO_UNKNOWN
ResultCodei_MANIFEST_FILE_EXT_UNKNOWN = _esysrepo.ResultCodei_MANIFEST_FILE_EXT_UNKNOWN
ResultCodei_MANIFEST_FAILED_TO_DETECT = _esysrepo.ResultCodei_MANIFEST_FAILED_TO_DETECT
ResultCodei_GREPO_FOLDER_NO_INCLUDE = _esysrepo.ResultCodei_GREPO_FOLDER_NO_INCLUDE
ResultCodei_CMDINIT_NO_URL = _esysrepo.ResultCodei_CMDINIT_NO_URL
ResultCodei_CMDINIT_FAILED_FETCH_UNKNOWN_MANIFEST = _esysrepo.ResultCodei_CMDINIT_FAILED_FETCH_UNKNOWN_MANIFEST
ResultCodei_GIT_GENERIC_ERROR = _esysrepo.ResultCodei_GIT_GENERIC_ERROR
ResultCodei_GIT_UNKNOWN_PROTOCOL = _esysrepo.ResultCodei_GIT_UNKNOWN_PROTOCOL
ResultCodei_GIT_RAW_INT_ERROR = _esysrepo.ResultCodei_GIT_RAW_INT_ERROR
ResultCodei_GIT_ERROR_OPENING_REPO = _esysrepo.ResultCodei_GIT_ERROR_OPENING_REPO
ResultCodei_CMD_INCORRECT_PARAMETERS_IN_CONTEXT = _esysrepo.ResultCodei_CMD_INCORRECT_PARAMETERS_IN_CONTEXT
ResultCodei_CMD_INCORRECT_PARAMETERS_COMBINATION = _esysrepo.ResultCodei_CMD_INCORRECT_PARAMETERS_COMBINATION
ResultCodei_CMD_MISSING_PARAMETERS = _esysrepo.ResultCodei_CMD_MISSING_PARAMETERS
ResultCodei_CMD_GENERIC_RAW_ERROR = _esysrepo.ResultCodei_CMD_GENERIC_RAW_ERROR
class ErrorInfo(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def __init__(self):
        _esysrepo.ErrorInfo_swiginit(self, _esysrepo.new_ErrorInfo())
    __swig_destroy__ = _esysrepo.delete_ErrorInfo

    def set_index(self, index):
        return _esysrepo.ErrorInfo_set_index(self, index)

    def get_index(self):
        return _esysrepo.ErrorInfo_get_index(self)

    def set_result_code(self, result_code):
        return _esysrepo.ErrorInfo_set_result_code(self, result_code)

    def get_result_code(self):
        return _esysrepo.ErrorInfo_get_result_code(self)

    def get_result_code_int(self):
        return _esysrepo.ErrorInfo_get_result_code_int(self)

    def set_raw_error(self, raw_error):
        return _esysrepo.ErrorInfo_set_raw_error(self, raw_error)

    def get_raw_error(self):
        return _esysrepo.ErrorInfo_get_raw_error(self)

    def set_file(self, file):
        return _esysrepo.ErrorInfo_set_file(self, file)

    def get_file(self):
        return _esysrepo.ErrorInfo_get_file(self)

    def set_line_number(self, line_number):
        return _esysrepo.ErrorInfo_set_line_number(self, line_number)

    def get_line_number(self):
        return _esysrepo.ErrorInfo_get_line_number(self)

    def set_function(self, function):
        return _esysrepo.ErrorInfo_set_function(self, function)

    def get_function(self):
        return _esysrepo.ErrorInfo_get_function(self)

    def set_text(self, text):
        return _esysrepo.ErrorInfo_set_text(self, text)

    def get_text(self):
        return _esysrepo.ErrorInfo_get_text(self)

    def set_prev(self, prev):
        return _esysrepo.ErrorInfo_set_prev(self, prev)

    def get_prev(self):
        return _esysrepo.ErrorInfo_get_prev(self)

    def add_prev(self, prev):
        return _esysrepo.ErrorInfo_add_prev(self, prev)

    def get_prevs(self):
        return _esysrepo.ErrorInfo_get_prevs(self)

    def _print(self, os, depth=0):
        return _esysrepo.ErrorInfo__print(self, os, depth)

# Register ErrorInfo in _esysrepo:
_esysrepo.ErrorInfo_swigregister(ErrorInfo)

class Result(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def __init__(self, *args):
        _esysrepo.Result_swiginit(self, _esysrepo.new_Result(*args))
    __swig_destroy__ = _esysrepo.delete_Result

    def set_result_code(self, result_code):
        return _esysrepo.Result_set_result_code(self, result_code)

    def get_result_code(self):
        return _esysrepo.Result_get_result_code(self)

    def get_result_code_int(self):
        return _esysrepo.Result_get_result_code_int(self)

    def set_error_info(self, error_info):
        return _esysrepo.Result_set_error_info(self, error_info)

    def get_error_info(self):
        return _esysrepo.Result_get_error_info(self)

    def add(self, result):
        return _esysrepo.Result_add(self, result)

    def success(self):
        return _esysrepo.Result_success(self)

    def ok(self):
        return _esysrepo.Result_ok(self)

    def error(self):
        return _esysrepo.Result_error(self)

    def __eq__(self, result_code):
        return _esysrepo.Result___eq__(self, result_code)

    def __ne__(self, result_code):
        return _esysrepo.Result___ne__(self, result_code)

    def _print(self, os):
        return _esysrepo.Result__print(self, os)
    OK = property(_esysrepo.Result_OK_get, _esysrepo.Result_OK_set)

# Register Result in _esysrepo:
_esysrepo.Result_swigregister(Result)


def __eq__(result_code, result):
    return _esysrepo.__eq__(result_code, result)

def __ne__(result_code, result):
    return _esysrepo.__ne__(result_code, result)
class ResultBool(Result):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def __init__(self, *args):
        _esysrepo.ResultBool_swiginit(self, _esysrepo.new_ResultBool(*args))
    __swig_destroy__ = _esysrepo.delete_ResultBool

    def set(self, return_value):
        return _esysrepo.ResultBool_set(self, return_value)

    def get(self):
        return _esysrepo.ResultBool_get(self)

    def __nonzero__(self):
        return _esysrepo.ResultBool___nonzero__(self)
    __bool__ = __nonzero__



    def __call__(self):
        return _esysrepo.ResultBool___call__(self)

    def _print(self, os):
        return _esysrepo.ResultBool__print(self, os)
    OK = property(_esysrepo.ResultBool_OK_get, _esysrepo.ResultBool_OK_set)

# Register ResultBool in _esysrepo:
_esysrepo.ResultBool_swigregister(ResultBool)

class ErrorStack(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def __init__(self, *args):
        _esysrepo.ErrorStack_swiginit(self, _esysrepo.new_ErrorStack(*args))
    __swig_destroy__ = _esysrepo.delete_ErrorStack

    def analyze(self, *args):
        return _esysrepo.ErrorStack_analyze(self, *args)

    def get_output(self):
        return _esysrepo.ErrorStack_get_output(self)

    def set_result(self, result):
        return _esysrepo.ErrorStack_set_result(self, result)

    def get_result(self):
        return _esysrepo.ErrorStack_get_result(self)

    def get_error_infos(self):
        return _esysrepo.ErrorStack_get_error_infos(self)

# Register ErrorStack in _esysrepo:
_esysrepo.ErrorStack_swigregister(ErrorStack)

BranchType_NOT_SET = _esysrepo.BranchType_NOT_SET
BranchType_LOCAL = _esysrepo.BranchType_LOCAL
BranchType_REMOTE = _esysrepo.BranchType_REMOTE
BranchType_ALL = _esysrepo.BranchType_ALL
class Branch(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def __init__(self, *args):
        _esysrepo.Branch_swiginit(self, _esysrepo.new_Branch(*args))
    __swig_destroy__ = _esysrepo.delete_Branch

    def set_name(self, name):
        return _esysrepo.Branch_set_name(self, name)

    def get_name(self):
        return _esysrepo.Branch_get_name(self)

    def set_ref_name(self, ref_name):
        return _esysrepo.Branch_set_ref_name(self, ref_name)

    def get_ref_name(self):
        return _esysrepo.Branch_get_ref_name(self)

    def set_type(self, type):
        return _esysrepo.Branch_set_type(self, type)

    def get_type(self):
        return _esysrepo.Branch_get_type(self)

    def set_is_head(self, is_head):
        return _esysrepo.Branch_set_is_head(self, is_head)

    def get_is_head(self):
        return _esysrepo.Branch_get_is_head(self)

    def set_remote_branch(self, remote_branch):
        return _esysrepo.Branch_set_remote_branch(self, remote_branch)

    def get_remote_branch(self):
        return _esysrepo.Branch_get_remote_branch(self)

    def set_remote_name(self, remote_name):
        return _esysrepo.Branch_set_remote_name(self, remote_name)

    def get_remote_name(self):
        return _esysrepo.Branch_get_remote_name(self)

# Register Branch in _esysrepo:
_esysrepo.Branch_swigregister(Branch)

class Branches(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def __init__(self, *args):
        _esysrepo.Branches_swiginit(self, _esysrepo.new_Branches(*args))
    __swig_destroy__ = _esysrepo.delete_Branches

    def add(self, branch):
        return _esysrepo.Branches_add(self, branch)

    def clear(self):
        return _esysrepo.Branches_clear(self)

    def get_head(self):
        return _esysrepo.Branches_get_head(self)

    def size(self):
        return _esysrepo.Branches_size(self)

    def sort(self):
        return _esysrepo.Branches_sort(self)

    def get(self):
        return _esysrepo.Branches_get(self)

    def find(self, name):
        return _esysrepo.Branches_find(self, name)

# Register Branches in _esysrepo:
_esysrepo.Branches_swigregister(Branches)

class CommitHash(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def __init__(self):
        _esysrepo.CommitHash_swiginit(self, _esysrepo.new_CommitHash())
    __swig_destroy__ = _esysrepo.delete_CommitHash

    def set_hash(self, hash):
        return _esysrepo.CommitHash_set_hash(self, hash)

    def get_hash(self):
        return _esysrepo.CommitHash_get_hash(self)

# Register CommitHash in _esysrepo:
_esysrepo.CommitHash_swigregister(CommitHash)

class Commit(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def __init__(self):
        _esysrepo.Commit_swiginit(self, _esysrepo.new_Commit())
    __swig_destroy__ = _esysrepo.delete_Commit

    def set_hash(self, hash):
        return _esysrepo.Commit_set_hash(self, hash)

    def get_hash(self):
        return _esysrepo.Commit_get_hash(self)

    def set_message(self, message):
        return _esysrepo.Commit_set_message(self, message)

    def get_message(self):
        return _esysrepo.Commit_get_message(self)

    def set_author(self, author):
        return _esysrepo.Commit_set_author(self, author)

    def get_author(self):
        return _esysrepo.Commit_get_author(self)

    def set_email(self, email):
        return _esysrepo.Commit_set_email(self, email)

    def get_email(self):
        return _esysrepo.Commit_get_email(self)

    def set_date_time(self, date_time):
        return _esysrepo.Commit_set_date_time(self, date_time)

    def get_date_time(self):
        return _esysrepo.Commit_get_date_time(self)

# Register Commit in _esysrepo:
_esysrepo.Commit_swigregister(Commit)

class Remote(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def __init__(self):
        _esysrepo.Remote_swiginit(self, _esysrepo.new_Remote())
    __swig_destroy__ = _esysrepo.delete_Remote

    def set_name(self, name):
        return _esysrepo.Remote_set_name(self, name)

    def get_name(self):
        return _esysrepo.Remote_get_name(self)

    def set_url(self, url):
        return _esysrepo.Remote_set_url(self, url)

    def get_url(self):
        return _esysrepo.Remote_get_url(self)

# Register Remote in _esysrepo:
_esysrepo.Remote_swigregister(Remote)

class ProgressCallbackBase(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")

    def __init__(self, *args, **kwargs):
        raise AttributeError("No constructor defined - class is abstract")
    __repr__ = _swig_repr
    __swig_destroy__ = _esysrepo.delete_ProgressCallbackBase

    def git_progress_notif(self, progress):
        return _esysrepo.ProgressCallbackBase_git_progress_notif(self, progress)

# Register ProgressCallbackBase in _esysrepo:
_esysrepo.ProgressCallbackBase_swigregister(ProgressCallbackBase)

class GitBase(esyslog.User):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")

    def __init__(self, *args, **kwargs):
        raise AttributeError("No constructor defined - class is abstract")
    __repr__ = _swig_repr
    __swig_destroy__ = _esysrepo.delete_GitBase

    def open_folder(self, folder):
        return _esysrepo.GitBase_open_folder(self, folder)

    def is_open(self):
        return _esysrepo.GitBase_is_open(self)

    def close(self):
        return _esysrepo.GitBase_close(self)

    def get_remotes(self, remotes):
        return _esysrepo.GitBase_get_remotes(self, remotes)

    def get_branches(self, *args):
        return _esysrepo.GitBase_get_branches(self, *args)

    def clone(self, *args):
        return _esysrepo.GitBase_clone(self, *args)

    def checkout(self, branch, force=False):
        return _esysrepo.GitBase_checkout(self, branch, force)

    def reset(self, *args):
        return _esysrepo.GitBase_reset(self, *args)

    def fastforward(self, commit):
        return _esysrepo.GitBase_fastforward(self, commit)

    def get_last_commit(self, commit):
        return _esysrepo.GitBase_get_last_commit(self, commit)

    def get_parent_commit(self, commit, parent, nth_parent=1):
        return _esysrepo.GitBase_get_parent_commit(self, commit, parent, nth_parent)

    def is_dirty(self, dirty):
        return _esysrepo.GitBase_is_dirty(self, dirty)

    def is_detached(self, detached):
        return _esysrepo.GitBase_is_detached(self, detached)

    def get_status(self, status):
        return _esysrepo.GitBase_get_status(self, status)

    def is_ssh_agent_running(self, log_once=True):
        return _esysrepo.GitBase_is_ssh_agent_running(self, log_once)

    def detect_ssh_agent(self, log_once=True):
        return _esysrepo.GitBase_detect_ssh_agent(self, log_once)

    def merge_analysis(self, refs, merge_analysis_result, commits):
        return _esysrepo.GitBase_merge_analysis(self, refs, merge_analysis_result, commits)

    def fetch(self, *args):
        return _esysrepo.GitBase_fetch(self, *args)

    def reset_to_parent(self, nth_parent=1):
        return _esysrepo.GitBase_reset_to_parent(self, nth_parent)

    def has_branch(self, *args):
        return _esysrepo.GitBase_has_branch(self, *args)

    def get_hash(self, *args):
        return _esysrepo.GitBase_get_hash(self, *args)

    def walk_commits(self, walk_commit):
        return _esysrepo.GitBase_walk_commits(self, walk_commit)

    def diff(self, commit_hash, diff):
        return _esysrepo.GitBase_diff(self, commit_hash, diff)

    @staticmethod
    def is_repo(path):
        return _esysrepo.GitBase_is_repo(path)

    def set_id(self, id):
        return _esysrepo.GitBase_set_id(self, id)

    def get_id(self):
        return _esysrepo.GitBase_get_id(self)

    def set_debug(self, debug):
        return _esysrepo.GitBase_set_debug(self, debug)

    def get_debug(self):
        return _esysrepo.GitBase_get_debug(self)

    def get_version(self):
        return _esysrepo.GitBase_get_version(self)

    def get_lib_name(self):
        return _esysrepo.GitBase_get_lib_name(self)

    def handle_sideband_progress(self, text):
        return _esysrepo.GitBase_handle_sideband_progress(self, text)

    def handle_transfer_progress(self, progress):
        return _esysrepo.GitBase_handle_transfer_progress(self, progress)

    def set_progress(self, progress):
        return _esysrepo.GitBase_set_progress(self, progress)

    def get_progress(self, progress):
        return _esysrepo.GitBase_get_progress(self, progress)

    def set_progress_callback(self, progress_callback):
        return _esysrepo.GitBase_set_progress_callback(self, progress_callback)

    def get_progress_callback(self):
        return _esysrepo.GitBase_get_progress_callback(self)

    @staticmethod
    def decode_sideband_progress(txt, progress):
        return _esysrepo.GitBase_decode_sideband_progress(txt, progress)

    def cmd_start(self):
        return _esysrepo.GitBase_cmd_start(self)

    def cmd_end(self):
        return _esysrepo.GitBase_cmd_end(self)

    def open_time(self):
        return _esysrepo.GitBase_open_time(self)

    def close_time(self):
        return _esysrepo.GitBase_close_time(self)

    def get_open_time(self):
        return _esysrepo.GitBase_get_open_time(self)

    def get_last_cmd_elapsed_time(self):
        return _esysrepo.GitBase_get_last_cmd_elapsed_time(self)

# Register GitBase in _esysrepo:
_esysrepo.GitBase_swigregister(GitBase)

def GitBase_is_repo(path):
    return _esysrepo.GitBase_is_repo(path)

def GitBase_decode_sideband_progress(txt, progress):
    return _esysrepo.GitBase_decode_sideband_progress(txt, progress)

class GitHelper(esyslog.User):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    THOUSAND = _esysrepo.GitHelper_THOUSAND
    CLEAN_OUT_REPETITION = _esysrepo.GitHelper_CLEAN_OUT_REPETITION

    def __init__(self, git=0, log_if=0, repo_idx=-1):
        _esysrepo.GitHelper_swiginit(self, _esysrepo.new_GitHelper(git, log_if, repo_idx))
    __swig_destroy__ = _esysrepo.delete_GitHelper

    def debug(self, level, msg):
        return _esysrepo.GitHelper_debug(self, level, msg)

    def info(self, msg):
        return _esysrepo.GitHelper_info(self, msg)

    def warn(self, msg):
        return _esysrepo.GitHelper_warn(self, msg)

    def critical(self, msg):
        return _esysrepo.GitHelper_critical(self, msg)

    def log(self, *args):
        return _esysrepo.GitHelper_log(self, *args)

    def error(self, *args):
        return _esysrepo.GitHelper_error(self, *args)

    def done(self, msg, elapsed_time):
        return _esysrepo.GitHelper_done(self, msg, elapsed_time)

    def open_folder(self, folder, log_level, debug_level=0):
        return _esysrepo.GitHelper_open_folder(self, folder, log_level, debug_level)

    def clone_branch(self, url, branch, path, do_close, log_level, debug_level=0):
        return _esysrepo.GitHelper_clone_branch(self, url, branch, path, do_close, log_level, debug_level)

    def clone(self, *args):
        return _esysrepo.GitHelper_clone(self, *args)

    def close(self, log_level, debug_level=0):
        return _esysrepo.GitHelper_close(self, log_level, debug_level)

    def fastforward(self, commit, log_level, debug_level=0):
        return _esysrepo.GitHelper_fastforward(self, commit, log_level, debug_level)

    def fetch(self, *args):
        return _esysrepo.GitHelper_fetch(self, *args)

    def get_branches(self, branches, branch_type, log_level, debug_level=0):
        return _esysrepo.GitHelper_get_branches(self, branches, branch_type, log_level, debug_level)

    def has_branch(self, name, branch_type, log_level, debug_level=0):
        return _esysrepo.GitHelper_has_branch(self, name, branch_type, log_level, debug_level)

    def get_hash(self, revision, hash, log_level, debug_level=0):
        return _esysrepo.GitHelper_get_hash(self, revision, hash, log_level, debug_level)

    def get_hash_local(self, revision, hash, log_level, debug_level=0):
        return _esysrepo.GitHelper_get_hash_local(self, revision, hash, log_level, debug_level)

    def is_dirty(self, dirty, log_level, debug_level=0):
        return _esysrepo.GitHelper_is_dirty(self, dirty, log_level, debug_level)

    def is_detached(self, detached, log_level, debug_level=0):
        return _esysrepo.GitHelper_is_detached(self, detached, log_level, debug_level)

    def get_status(self, status, log_level, debug_level=0):
        return _esysrepo.GitHelper_get_status(self, status, log_level, debug_level)

    def checkout(self, branch, force, log_level, debug_level=0):
        return _esysrepo.GitHelper_checkout(self, branch, force, log_level, debug_level)

    def merge_analysis(self, refs, merge_analysis_result, commits, log_level, debug_level=0):
        return _esysrepo.GitHelper_merge_analysis(self, refs, merge_analysis_result, commits, log_level, debug_level)

    def move(self, src, dst, recursive, log_level, debug_level=0):
        return _esysrepo.GitHelper_move(self, src, dst, recursive, log_level, debug_level)

    def set_git(self, git):
        return _esysrepo.GitHelper_set_git(self, git)

    def get_git(self):
        return _esysrepo.GitHelper_get_git(self)

    def set_auto_close(self, auto_close=True):
        return _esysrepo.GitHelper_set_auto_close(self, auto_close)

    def get_auto_close(self):
        return _esysrepo.GitHelper_get_auto_close(self)

    def set_repo_idx(self, repo_idx):
        return _esysrepo.GitHelper_set_repo_idx(self, repo_idx)

    def get_repo_idx(self):
        return _esysrepo.GitHelper_get_repo_idx(self)

    def set_display_repo_idx(self, display_repo_idx):
        return _esysrepo.GitHelper_set_display_repo_idx(self, display_repo_idx)

    def get_display_repo_idx(self):
        return _esysrepo.GitHelper_get_display_repo_idx(self)

    def init_oss(self, *args):
        return _esysrepo.GitHelper_init_oss(self, *args)

    def init_oss_done(self):
        return _esysrepo.GitHelper_init_oss_done(self)

    def init_oss_clear(self):
        return _esysrepo.GitHelper_init_oss_clear(self)

    def is_init_oss_done(self):
        return _esysrepo.GitHelper_is_init_oss_done(self)

    def clean_cout(self):
        return _esysrepo.GitHelper_clean_cout(self)

# Register GitHelper in _esysrepo:
_esysrepo.GitHelper_swigregister(GitHelper)

ESYSREPO_USE_LIBGIT2 = _esysrepo.ESYSREPO_USE_LIBGIT2
class Git(GitBase):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def __init__(self):
        _esysrepo.Git_swiginit(self, _esysrepo.new_Git())
    __swig_destroy__ = _esysrepo.delete_Git

    @staticmethod
    def new_ptr():
        return _esysrepo.Git_new_ptr()

    def open_folder(self, folder):
        return _esysrepo.Git_open_folder(self, folder)

    def is_open(self):
        return _esysrepo.Git_is_open(self)

    def close(self):
        return _esysrepo.Git_close(self)

    def get_remotes(self, remotes):
        return _esysrepo.Git_get_remotes(self, remotes)

    def get_branches(self, *args):
        return _esysrepo.Git_get_branches(self, *args)

    def clone(self, *args):
        return _esysrepo.Git_clone(self, *args)

    def checkout(self, branch, force=False):
        return _esysrepo.Git_checkout(self, branch, force)

    def reset(self, *args):
        return _esysrepo.Git_reset(self, *args)

    def fastforward(self, commit):
        return _esysrepo.Git_fastforward(self, commit)

    def get_last_commit(self, commit):
        return _esysrepo.Git_get_last_commit(self, commit)

    def get_parent_commit(self, commit, parent, nth_parent=1):
        return _esysrepo.Git_get_parent_commit(self, commit, parent, nth_parent)

    def is_dirty(self, dirty):
        return _esysrepo.Git_is_dirty(self, dirty)

    def is_detached(self, detached):
        return _esysrepo.Git_is_detached(self, detached)

    def get_status(self, repo_status):
        return _esysrepo.Git_get_status(self, repo_status)

    def is_ssh_agent_running(self, log_once=True):
        return _esysrepo.Git_is_ssh_agent_running(self, log_once)

    def detect_ssh_agent(self, log_once=True):
        return _esysrepo.Git_detect_ssh_agent(self, log_once)

    def merge_analysis(self, refs, merge_analysis_result, commits):
        return _esysrepo.Git_merge_analysis(self, refs, merge_analysis_result, commits)

    def fetch(self, *args):
        return _esysrepo.Git_fetch(self, *args)

    def has_branch(self, *args):
        return _esysrepo.Git_has_branch(self, *args)

    def get_hash(self, *args):
        return _esysrepo.Git_get_hash(self, *args)

    def walk_commits(self, walk_commit):
        return _esysrepo.Git_walk_commits(self, walk_commit)

    def diff(self, commit_hash, diff):
        return _esysrepo.Git_diff(self, commit_hash, diff)

    def set_url(self, url):
        return _esysrepo.Git_set_url(self, url)

    def get_url(self):
        return _esysrepo.Git_get_url(self)

    def set_folder(self, folder):
        return _esysrepo.Git_set_folder(self, folder)

    def get_folder(self):
        return _esysrepo.Git_get_folder(self)

    def get_version(self):
        return _esysrepo.Git_get_version(self)

    def get_lib_name(self):
        return _esysrepo.Git_get_lib_name(self)

    def debug(self, level, msg):
        return _esysrepo.Git_debug(self, level, msg)

    @staticmethod
    def s_get_version():
        return _esysrepo.Git_s_get_version()

    @staticmethod
    def s_get_lib_name():
        return _esysrepo.Git_s_get_lib_name()

    @staticmethod
    def s_get_ssh_version():
        return _esysrepo.Git_s_get_ssh_version()

    @staticmethod
    def s_get_ssh_lib_name():
        return _esysrepo.Git_s_get_ssh_lib_name()

    def get_impl(self):
        return _esysrepo.Git_get_impl(self)

    def set_logger_if(self, logger_if):
        return _esysrepo.Git_set_logger_if(self, logger_if)

# Register Git in _esysrepo:
_esysrepo.Git_swigregister(Git)

def Git_new_ptr():
    return _esysrepo.Git_new_ptr()

def Git_s_get_version():
    return _esysrepo.Git_s_get_version()

def Git_s_get_lib_name():
    return _esysrepo.Git_s_get_lib_name()

def Git_s_get_ssh_version():
    return _esysrepo.Git_s_get_ssh_version()

def Git_s_get_ssh_lib_name():
    return _esysrepo.Git_s_get_ssh_lib_name()

Format_NOT_SET = _esysrepo.Format_NOT_SET
Format_UNKNOWN = _esysrepo.Format_UNKNOWN
Format_XML = _esysrepo.Format_XML
Format_JSON = _esysrepo.Format_JSON

def convert_format_to_text(format):
    return _esysrepo.convert_format_to_text(format)
class Repository(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def __init__(self, *args):
        _esysrepo.Repository_swiginit(self, _esysrepo.new_Repository(*args))
    __swig_destroy__ = _esysrepo.delete_Repository

    def set_name(self, name):
        return _esysrepo.Repository_set_name(self, name)

    def get_name(self):
        return _esysrepo.Repository_get_name(self)

    def set_path(self, path):
        return _esysrepo.Repository_set_path(self, path)

    def get_path(self):
        return _esysrepo.Repository_get_path(self)

    def set_revision(self, revision):
        return _esysrepo.Repository_set_revision(self, revision)

    def get_revision(self):
        return _esysrepo.Repository_get_revision(self)

    def get_location_str(self):
        return _esysrepo.Repository_get_location_str(self)

    def set_location(self, *args):
        return _esysrepo.Repository_set_location(self, *args)

    def get_location(self):
        return _esysrepo.Repository_get_location(self)

    def get_groups(self):
        return _esysrepo.Repository_get_groups(self)

    def __eq__(self, repository):
        return _esysrepo.Repository___eq__(self, repository)

    def __ne__(self, repository):
        return _esysrepo.Repository___ne__(self, repository)

# Register Repository in _esysrepo:
_esysrepo.Repository_swigregister(Repository)

class Group(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def __init__(self, *args):
        _esysrepo.Group_swiginit(self, _esysrepo.new_Group(*args))
    __swig_destroy__ = _esysrepo.delete_Group

    def set_name(self, name):
        return _esysrepo.Group_set_name(self, name)

    def get_name(self):
        return _esysrepo.Group_get_name(self)

    def add_repo(self, repo):
        return _esysrepo.Group_add_repo(self, repo)

    def get_repos(self):
        return _esysrepo.Group_get_repos(self)

    def find_repo_by_path(self, path):
        return _esysrepo.Group_find_repo_by_path(self, path)

    def find_repo_by_name(self, name):
        return _esysrepo.Group_find_repo_by_name(self, name)

# Register Group in _esysrepo:
_esysrepo.Group_swigregister(Group)

class VecSPtrLocation(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def iterator(self):
        return _esysrepo.VecSPtrLocation_iterator(self)
    def __iter__(self):
        return self.iterator()

    def __nonzero__(self):
        return _esysrepo.VecSPtrLocation___nonzero__(self)

    def __bool__(self):
        return _esysrepo.VecSPtrLocation___bool__(self)

    def __len__(self):
        return _esysrepo.VecSPtrLocation___len__(self)

    def __getslice__(self, i, j):
        return _esysrepo.VecSPtrLocation___getslice__(self, i, j)

    def __setslice__(self, *args):
        return _esysrepo.VecSPtrLocation___setslice__(self, *args)

    def __delslice__(self, i, j):
        return _esysrepo.VecSPtrLocation___delslice__(self, i, j)

    def __delitem__(self, *args):
        return _esysrepo.VecSPtrLocation___delitem__(self, *args)

    def __getitem__(self, *args):
        return _esysrepo.VecSPtrLocation___getitem__(self, *args)

    def __setitem__(self, *args):
        return _esysrepo.VecSPtrLocation___setitem__(self, *args)

    def pop(self):
        return _esysrepo.VecSPtrLocation_pop(self)

    def append(self, x):
        return _esysrepo.VecSPtrLocation_append(self, x)

    def empty(self):
        return _esysrepo.VecSPtrLocation_empty(self)

    def size(self):
        return _esysrepo.VecSPtrLocation_size(self)

    def swap(self, v):
        return _esysrepo.VecSPtrLocation_swap(self, v)

    def begin(self):
        return _esysrepo.VecSPtrLocation_begin(self)

    def end(self):
        return _esysrepo.VecSPtrLocation_end(self)

    def rbegin(self):
        return _esysrepo.VecSPtrLocation_rbegin(self)

    def rend(self):
        return _esysrepo.VecSPtrLocation_rend(self)

    def clear(self):
        return _esysrepo.VecSPtrLocation_clear(self)

    def get_allocator(self):
        return _esysrepo.VecSPtrLocation_get_allocator(self)

    def pop_back(self):
        return _esysrepo.VecSPtrLocation_pop_back(self)

    def erase(self, *args):
        return _esysrepo.VecSPtrLocation_erase(self, *args)

    def __init__(self, *args):
        _esysrepo.VecSPtrLocation_swiginit(self, _esysrepo.new_VecSPtrLocation(*args))

    def push_back(self, x):
        return _esysrepo.VecSPtrLocation_push_back(self, x)

    def front(self):
        return _esysrepo.VecSPtrLocation_front(self)

    def back(self):
        return _esysrepo.VecSPtrLocation_back(self)

    def assign(self, n, x):
        return _esysrepo.VecSPtrLocation_assign(self, n, x)

    def resize(self, *args):
        return _esysrepo.VecSPtrLocation_resize(self, *args)

    def insert(self, *args):
        return _esysrepo.VecSPtrLocation_insert(self, *args)

    def reserve(self, n):
        return _esysrepo.VecSPtrLocation_reserve(self, n)

    def capacity(self):
        return _esysrepo.VecSPtrLocation_capacity(self)
    __swig_destroy__ = _esysrepo.delete_VecSPtrLocation

# Register VecSPtrLocation in _esysrepo:
_esysrepo.VecSPtrLocation_swigregister(VecSPtrLocation)

class Location(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def __init__(self, *args):
        _esysrepo.Location_swiginit(self, _esysrepo.new_Location(*args))
    __swig_destroy__ = _esysrepo.delete_Location

    def set_name(self, name):
        return _esysrepo.Location_set_name(self, name)

    def get_name(self):
        return _esysrepo.Location_get_name(self)

    def set_address(self, address):
        return _esysrepo.Location_set_address(self, address)

    def get_address(self):
        return _esysrepo.Location_get_address(self)

    def is_address_ssh(self):
        return _esysrepo.Location_is_address_ssh(self)

    def set_alt_address(self, alt_address):
        return _esysrepo.Location_set_alt_address(self, alt_address)

    def get_alt_address(self):
        return _esysrepo.Location_get_alt_address(self)

    def is_alt_address_ssh(self):
        return _esysrepo.Location_is_alt_address_ssh(self)

    def add_repo(self, *args):
        return _esysrepo.Location_add_repo(self, *args)

    def get_repos(self):
        return _esysrepo.Location_get_repos(self)

    def find_repo_by_path(self, path):
        return _esysrepo.Location_find_repo_by_path(self, path)

    def find_repo_by_name(self, name):
        return _esysrepo.Location_find_repo_by_name(self, name)

    def find_repo_path_by_url(self, url):
        return _esysrepo.Location_find_repo_path_by_url(self, url)

    def find_repo_by_url(self, url):
        return _esysrepo.Location_find_repo_by_url(self, url)

    def __eq__(self, location):
        return _esysrepo.Location___eq__(self, location)

    def __ne__(self, location):
        return _esysrepo.Location___ne__(self, location)

    @staticmethod
    def remove_dot_git(text):
        return _esysrepo.Location_remove_dot_git(text)

# Register Location in _esysrepo:
_esysrepo.Location_swigregister(Location)

def Location_remove_dot_git(text):
    return _esysrepo.Location_remove_dot_git(text)


def __lshift__(os, location):
    return _esysrepo.__lshift__(os, location)
Type_NOT_SET = _esysrepo.Type_NOT_SET
Type_UNKNOWN = _esysrepo.Type_UNKNOWN
Type_GOOGLE_MANIFEST = _esysrepo.Type_GOOGLE_MANIFEST
Type_ESYSREPO_MANIFEST = _esysrepo.Type_ESYSREPO_MANIFEST
Type_GIT_SUPER_PROJECT = _esysrepo.Type_GIT_SUPER_PROJECT
Type_RAW_GOOGLE_MANIFEST = _esysrepo.Type_RAW_GOOGLE_MANIFEST

def convert_text_to_format(*args):
    return _esysrepo.convert_text_to_format(*args)
class FileError(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def __init__(self):
        _esysrepo.FileError_swiginit(self, _esysrepo.new_FileError())
    __swig_destroy__ = _esysrepo.delete_FileError

    def set_msg(self, msg):
        return _esysrepo.FileError_set_msg(self, msg)

    def get_msg(self):
        return _esysrepo.FileError_get_msg(self)

    def set_value(self, value):
        return _esysrepo.FileError_set_value(self, value)

    def get_value(self):
        return _esysrepo.FileError_get_value(self)

    def set_line_number(self, line_number):
        return _esysrepo.FileError_set_line_number(self, line_number)

    def get_line_number(self):
        return _esysrepo.FileError_get_line_number(self)

# Register FileError in _esysrepo:
_esysrepo.FileError_swigregister(FileError)

class Include(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def __init__(self, *args):
        _esysrepo.Include_swiginit(self, _esysrepo.new_Include(*args))
    __swig_destroy__ = _esysrepo.delete_Include

    def set_name(self, name):
        return _esysrepo.Include_set_name(self, name)

    def get_name(self):
        return _esysrepo.Include_get_name(self)

    def __eq__(self, other):
        return _esysrepo.Include___eq__(self, other)

    def __ne__(self, other):
        return _esysrepo.Include___ne__(self, other)

# Register Include in _esysrepo:
_esysrepo.Include_swigregister(Include)

class Config(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def __init__(self):
        _esysrepo.Config_swiginit(self, _esysrepo.new_Config())
    __swig_destroy__ = _esysrepo.delete_Config

    def set_manifest_type(self, manifest_type):
        return _esysrepo.Config_set_manifest_type(self, manifest_type)

    def get_manifest_type(self):
        return _esysrepo.Config_get_manifest_type(self)

    def set_manifest_kind(self, manifest_kind):
        return _esysrepo.Config_set_manifest_kind(self, manifest_kind)

    def get_manifest_kind(self):
        return _esysrepo.Config_get_manifest_kind(self)

    def set_manifest_format(self, manifest_format):
        return _esysrepo.Config_set_manifest_format(self, manifest_format)

    def get_manifest_format(self):
        return _esysrepo.Config_get_manifest_format(self)

    def set_manifest_path(self, manifest_path):
        return _esysrepo.Config_set_manifest_path(self, manifest_path)

    def get_manifest_path(self):
        return _esysrepo.Config_get_manifest_path(self)

    def set_manifest_url(self, manifest_url):
        return _esysrepo.Config_set_manifest_url(self, manifest_url)

    def get_manifest_url(self):
        return _esysrepo.Config_get_manifest_url(self)

    def __eq__(self, cfg):
        return _esysrepo.Config___eq__(self, cfg)

    def __ne__(self, cfg):
        return _esysrepo.Config___ne__(self, cfg)

    def has_esysrepo_folder(self):
        return _esysrepo.Config_has_esysrepo_folder(self)

# Register Config in _esysrepo:
_esysrepo.Config_swigregister(Config)

class ConfigFolder(esyslog.User):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def __init__(self):
        _esysrepo.ConfigFolder_swiginit(self, _esysrepo.new_ConfigFolder())
    __swig_destroy__ = _esysrepo.delete_ConfigFolder

    def set_workspace_path(self, path):
        return _esysrepo.ConfigFolder_set_workspace_path(self, path)

    def get_workspace_path(self):
        return _esysrepo.ConfigFolder_get_workspace_path(self)

    def create(self, *args):
        return _esysrepo.ConfigFolder_create(self, *args)

    def open_folder(self, *args):
        return _esysrepo.ConfigFolder_open_folder(self, *args)

    def write(self, *args):
        return _esysrepo.ConfigFolder_write(self, *args)

    def get_path(self):
        return _esysrepo.ConfigFolder_get_path(self)

    def get_temp_path(self):
        return _esysrepo.ConfigFolder_get_temp_path(self)

    def get_config_file_path(self):
        return _esysrepo.ConfigFolder_get_config_file_path(self)

    def get_manifest_repo_path(self):
        return _esysrepo.ConfigFolder_get_manifest_repo_path(self)

    def get_manifest_rel_file_name(self):
        return _esysrepo.ConfigFolder_get_manifest_rel_file_name(self)

    def get_config(self):
        return _esysrepo.ConfigFolder_get_config(self)

    def set_config(self, config):
        return _esysrepo.ConfigFolder_set_config(self, config)

    def get_or_new_config(self):
        return _esysrepo.ConfigFolder_get_or_new_config(self)

    def write_config_file(self):
        return _esysrepo.ConfigFolder_write_config_file(self)

    def populate_all_pathes(self):
        return _esysrepo.ConfigFolder_populate_all_pathes(self)

    @staticmethod
    def is_config_folder(path):
        return _esysrepo.ConfigFolder_is_config_folder(path)

# Register ConfigFolder in _esysrepo:
_esysrepo.ConfigFolder_swigregister(ConfigFolder)

def ConfigFolder_is_config_folder(path):
    return _esysrepo.ConfigFolder_is_config_folder(path)

class Detect(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def __init__(self, *args):
        _esysrepo.Detect_swiginit(self, _esysrepo.new_Detect(*args))
    __swig_destroy__ = _esysrepo.delete_Detect

    def set_folder_path(self, folder_path):
        return _esysrepo.Detect_set_folder_path(self, folder_path)

    def get_folder_path(self):
        return _esysrepo.Detect_get_folder_path(self)

    def detect(self, config=0):
        return _esysrepo.Detect_detect(self, config)

    def set_config(self, config):
        return _esysrepo.Detect_set_config(self, config)

    def get_config(self):
        return _esysrepo.Detect_get_config(self)

    def get_config_folder(self):
        return _esysrepo.Detect_get_config_folder(self)

# Register Detect in _esysrepo:
_esysrepo.Detect_swigregister(Detect)

class Manifest(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def __init__(self):
        _esysrepo.Manifest_swiginit(self, _esysrepo.new_Manifest())
    __swig_destroy__ = _esysrepo.delete_Manifest

    def set_type(self, type):
        return _esysrepo.Manifest_set_type(self, type)

    def get_type(self):
        return _esysrepo.Manifest_get_type(self)

    def set_kind(self, kind):
        return _esysrepo.Manifest_set_kind(self, kind)

    def get_kind(self):
        return _esysrepo.Manifest_get_kind(self)

    def set_format(self, format):
        return _esysrepo.Manifest_set_format(self, format)

    def get_format(self):
        return _esysrepo.Manifest_get_format(self)

    def add_location(self, location, is_default=False):
        return _esysrepo.Manifest_add_location(self, location, is_default)

    def get_locations(self):
        return _esysrepo.Manifest_get_locations(self)

    def get_map_locations(self):
        return _esysrepo.Manifest_get_map_locations(self)

    def find_location(self, name):
        return _esysrepo.Manifest_find_location(self, name)

    def find_repo_by_path(self, path):
        return _esysrepo.Manifest_find_repo_by_path(self, path)

    def find_repo_path_by_url(self, url):
        return _esysrepo.Manifest_find_repo_path_by_url(self, url)

    def find_repo_by_url(self, url):
        return _esysrepo.Manifest_find_repo_by_url(self, url)

    def get_default_location(self):
        return _esysrepo.Manifest_get_default_location(self)

    def set_default_location(self, *args):
        return _esysrepo.Manifest_set_default_location(self, *args)

    def get_default_location_str(self):
        return _esysrepo.Manifest_get_default_location_str(self)

    def set_default_revision(self, default_revision):
        return _esysrepo.Manifest_set_default_revision(self, default_revision)

    def get_default_revision(self):
        return _esysrepo.Manifest_get_default_revision(self)

    def set_default_job_count(self, default_job_count):
        return _esysrepo.Manifest_set_default_job_count(self, default_job_count)

    def get_default_job_count(self):
        return _esysrepo.Manifest_get_default_job_count(self)

    def get_repo_revision(self, repo):
        return _esysrepo.Manifest_get_repo_revision(self, repo)

    def clear(self):
        return _esysrepo.Manifest_clear(self)

    def get_groups(self):
        return _esysrepo.Manifest_get_groups(self)

    def add_include(self, include):
        return _esysrepo.Manifest_add_include(self, include)

    def get_includes(self):
        return _esysrepo.Manifest_get_includes(self)

    def __eq__(self, other):
        return _esysrepo.Manifest___eq__(self, other)

    def __ne__(self, other):
        return _esysrepo.Manifest___ne__(self, other)

# Register Manifest in _esysrepo:
_esysrepo.Manifest_swigregister(Manifest)

class FileBase(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")

    def __init__(self, *args, **kwargs):
        raise AttributeError("No constructor defined - class is abstract")
    __repr__ = _swig_repr
    __swig_destroy__ = _esysrepo.delete_FileBase

    def set_data(self, manifest):
        return _esysrepo.FileBase_set_data(self, manifest)

    def get_data(self):
        return _esysrepo.FileBase_get_data(self)

    def read(self, path):
        return _esysrepo.FileBase_read(self, path)

    def write(self, *args):
        return _esysrepo.FileBase_write(self, *args)

    def get_errors(self):
        return _esysrepo.FileBase_get_errors(self)

    def add_error(self, *args):
        return _esysrepo.FileBase_add_error(self, *args)

    def get_filename(self):
        return _esysrepo.FileBase_get_filename(self)

# Register FileBase in _esysrepo:
_esysrepo.FileBase_swigregister(FileBase)

class GRepoManifest(FileBase):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def __init__(self):
        _esysrepo.GRepoManifest_swiginit(self, _esysrepo.new_GRepoManifest())
    __swig_destroy__ = _esysrepo.delete_GRepoManifest

    def read(self, filename):
        return _esysrepo.GRepoManifest_read(self, filename)

    def write(self, *args):
        return _esysrepo.GRepoManifest_write(self, *args)

    def __eq__(self, other):
        return _esysrepo.GRepoManifest___eq__(self, other)

    def __ne__(self, other):
        return _esysrepo.GRepoManifest___ne__(self, other)

    def get_impl(self):
        return _esysrepo.GRepoManifest_get_impl(self)

    @staticmethod
    def get_folder_name():
        return _esysrepo.GRepoManifest_get_folder_name()

# Register GRepoManifest in _esysrepo:
_esysrepo.GRepoManifest_swigregister(GRepoManifest)

def GRepoManifest_get_folder_name():
    return _esysrepo.GRepoManifest_get_folder_name()

class LoadFolder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def __init__(self, *args):
        _esysrepo.LoadFolder_swiginit(self, _esysrepo.new_LoadFolder(*args))
    __swig_destroy__ = _esysrepo.delete_LoadFolder

    def set_folder_path(self, folder_path):
        return _esysrepo.LoadFolder_set_folder_path(self, folder_path)

    def get_folder_path(self):
        return _esysrepo.LoadFolder_get_folder_path(self)

    def run(self, *args):
        return _esysrepo.LoadFolder_run(self, *args)

    def get_manifest(self):
        return _esysrepo.LoadFolder_get_manifest(self)

    def find_repo_path_by_url(self, url):
        return _esysrepo.LoadFolder_find_repo_path_by_url(self, url)

    def find_repo_by_url(self, url):
        return _esysrepo.LoadFolder_find_repo_by_url(self, url)

# Register LoadFolder in _esysrepo:
_esysrepo.LoadFolder_swigregister(LoadFolder)

class Cmd(esyslog.User):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")

    def __init__(self, *args, **kwargs):
        raise AttributeError("No constructor defined - class is abstract")
    __repr__ = _swig_repr
    THOUSAND = _esysrepo.Cmd_THOUSAND
    __swig_destroy__ = _esysrepo.delete_Cmd

    def get_name(self):
        return _esysrepo.Cmd_get_name(self)

    def set_job_count(self, job_count):
        return _esysrepo.Cmd_set_job_count(self, job_count)

    def get_job_count(self):
        return _esysrepo.Cmd_get_job_count(self)

    def set_manifest(self, manifest):
        return _esysrepo.Cmd_set_manifest(self, manifest)

    def get_manifest(self):
        return _esysrepo.Cmd_get_manifest(self)

    def set_git(self, git):
        return _esysrepo.Cmd_set_git(self, git)

    def get_git(self):
        return _esysrepo.Cmd_get_git(self)

    def set_workspace_path(self, workspace_path):
        return _esysrepo.Cmd_set_workspace_path(self, workspace_path)

    def get_workspace_path(self):
        return _esysrepo.Cmd_get_workspace_path(self)

    def set_config_folder(self, config_folder):
        return _esysrepo.Cmd_set_config_folder(self, config_folder)

    def get_config_folder(self):
        return _esysrepo.Cmd_get_config_folder(self)

    def set_loader(self, loader):
        return _esysrepo.Cmd_set_loader(self, loader)

    def get_loader(self):
        return _esysrepo.Cmd_get_loader(self)

    @staticmethod
    def find_workspace_path(*args):
        return _esysrepo.Cmd_find_workspace_path(*args)

    @staticmethod
    def find_git_repo_path(*args):
        return _esysrepo.Cmd_find_git_repo_path(*args)

    def run(self):
        return _esysrepo.Cmd_run(self)

    def set_debug(self, debug=True):
        return _esysrepo.Cmd_set_debug(self, debug)

    def get_debug(self):
        return _esysrepo.Cmd_get_debug(self)

    def set_folder(self, folder):
        return _esysrepo.Cmd_set_folder(self, folder)

    def get_folder(self):
        return _esysrepo.Cmd_get_folder(self)

    def set_sub_args(self, sub_args):
        return _esysrepo.Cmd_set_sub_args(self, sub_args)

    def get_sub_args(self):
        return _esysrepo.Cmd_get_sub_args(self)

    def set_time(self, time):
        return _esysrepo.Cmd_set_time(self, time)

    def get_time(self):
        return _esysrepo.Cmd_get_time(self)

    def set_delta_time(self, delta_time):
        return _esysrepo.Cmd_set_delta_time(self, delta_time)

    def get_delta_time(self):
        return _esysrepo.Cmd_get_delta_time(self)

    def set_groups(self, groups):
        return _esysrepo.Cmd_set_groups(self, groups)

    def get_groups(self):
        return _esysrepo.Cmd_get_groups(self)

    def set_cli_cmd(self, cli_cmd):
        return _esysrepo.Cmd_set_cli_cmd(self, cli_cmd)

    def get_cli_cmd(self):
        return _esysrepo.Cmd_get_cli_cmd(self)

    def set_app_base(self, app_base):
        return _esysrepo.Cmd_set_app_base(self, app_base)

    def get_app_base(self):
        return _esysrepo.Cmd_get_app_base(self)

    def process_sub_args_as_git_repo_path(self, input_path):
        return _esysrepo.Cmd_process_sub_args_as_git_repo_path(self, input_path)

    def process_sub_args_as_git_repo_paths(self):
        return _esysrepo.Cmd_process_sub_args_as_git_repo_paths(self)

    def get_input_git_repo_paths(self):
        return _esysrepo.Cmd_get_input_git_repo_paths(self)

    def get_extra_start_msg(self):
        return _esysrepo.Cmd_get_extra_start_msg(self)

    def set_console_os(self, console_os):
        return _esysrepo.Cmd_set_console_os(self, console_os)

    def get_console_os(self):
        return _esysrepo.Cmd_get_console_os(self)

    def default_handling_folder_workspace(self):
        return _esysrepo.Cmd_default_handling_folder_workspace(self)

    def only_one_folder_or_workspace(self):
        return _esysrepo.Cmd_only_one_folder_or_workspace(self)

    def create_logger(self, *args):
        return _esysrepo.Cmd_create_logger(self, *args)

    def get_logger_mngr(self):
        return _esysrepo.Cmd_get_logger_mngr(self)

    def get_logger_name(self):
        return _esysrepo.Cmd_get_logger_name(self)

    def set_logger_name(self, logger_name):
        return _esysrepo.Cmd_set_logger_name(self, logger_name)

    def debug(self, level, msg):
        return _esysrepo.Cmd_debug(self, level, msg)

    def info(self, msg):
        return _esysrepo.Cmd_info(self, msg)

    def warn(self, msg):
        return _esysrepo.Cmd_warn(self, msg)

    def error(self, msg):
        return _esysrepo.Cmd_error(self, msg)

    def critical(self, msg):
        return _esysrepo.Cmd_critical(self, msg)

    def log(self, *args):
        return _esysrepo.Cmd_log(self, *args)

    def clean_cout(self):
        return _esysrepo.Cmd_clean_cout(self)

    def print_cmd_name(self, *args):
        return _esysrepo.Cmd_print_cmd_name(self, *args)

    def generic_error(self, error):
        return _esysrepo.Cmd_generic_error(self, error)

# Register Cmd in _esysrepo:
_esysrepo.Cmd_swigregister(Cmd)

def Cmd_find_workspace_path(*args):
    return _esysrepo.Cmd_find_workspace_path(*args)

def Cmd_find_git_repo_path(*args):
    return _esysrepo.Cmd_find_git_repo_path(*args)

class CmdInit(Cmd):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def __init__(self):
        _esysrepo.CmdInit_swiginit(self, _esysrepo.new_CmdInit())
    __swig_destroy__ = _esysrepo.delete_CmdInit

    def set_url(self, url):
        return _esysrepo.CmdInit_set_url(self, url)

    def get_url(self):
        return _esysrepo.CmdInit_get_url(self)

    def set_branch(self, branch):
        return _esysrepo.CmdInit_set_branch(self, branch)

    def get_branch(self):
        return _esysrepo.CmdInit_get_branch(self)

    def set_manifest_name(self, manifest_name):
        return _esysrepo.CmdInit_set_manifest_name(self, manifest_name)

    def get_manifest_name(self):
        return _esysrepo.CmdInit_get_manifest_name(self)

    def set_google_manifest(self, google_manifest):
        return _esysrepo.CmdInit_set_google_manifest(self, google_manifest)

    def get_google_manifest(self):
        return _esysrepo.CmdInit_get_google_manifest(self)

    def set_git_super_project(self, git_super_project):
        return _esysrepo.CmdInit_set_git_super_project(self, git_super_project)

    def get_git_super_project(self):
        return _esysrepo.CmdInit_get_git_super_project(self)

    def fetch_manifest(self):
        return _esysrepo.CmdInit_fetch_manifest(self)

    def fetch_google_manifest(self):
        return _esysrepo.CmdInit_fetch_google_manifest(self)

    def fetch_esysrepo_manifest(self, git_helper, git_repo_path, manifest_filename):
        return _esysrepo.CmdInit_fetch_esysrepo_manifest(self, git_helper, git_repo_path, manifest_filename)

    def read_esysrepo_manifest(self, manifest, filename):
        return _esysrepo.CmdInit_read_esysrepo_manifest(self, manifest, filename)

    def read_esysrepo_manifest_xml(self, manifest, filename):
        return _esysrepo.CmdInit_read_esysrepo_manifest_xml(self, manifest, filename)

    def read_esysrepo_manifest_json(self, manifest, filename):
        return _esysrepo.CmdInit_read_esysrepo_manifest_json(self, manifest, filename)

    def fetch_git_super_project(self):
        return _esysrepo.CmdInit_fetch_git_super_project(self)

    def fetch_unknown_manifest(self):
        return _esysrepo.CmdInit_fetch_unknown_manifest(self)

    def create_esysrepo_folder(self):
        return _esysrepo.CmdInit_create_esysrepo_folder(self)

    def load_esysrepo_folder(self):
        return _esysrepo.CmdInit_load_esysrepo_folder(self)

    def load_esysrepo_folder_succeeded(self):
        return _esysrepo.CmdInit_load_esysrepo_folder_succeeded(self)

    def load_esysrepo_folder_failed(self):
        return _esysrepo.CmdInit_load_esysrepo_folder_failed(self)

    def get_extra_start_msg(self):
        return _esysrepo.CmdInit_get_extra_start_msg(self)

# Register CmdInit in _esysrepo:
_esysrepo.CmdInit_swigregister(CmdInit)

class CmdSync(Cmd):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def __init__(self):
        _esysrepo.CmdSync_swiginit(self, _esysrepo.new_CmdSync())
    __swig_destroy__ = _esysrepo.delete_CmdSync

    def set_force(self, force):
        return _esysrepo.CmdSync_set_force(self, force)

    def get_force(self):
        return _esysrepo.CmdSync_get_force(self)

    def set_branch(self, branch):
        return _esysrepo.CmdSync_set_branch(self, branch)

    def get_branch(self):
        return _esysrepo.CmdSync_get_branch(self)

    def set_alt_address(self, alt_address):
        return _esysrepo.CmdSync_set_alt_address(self, alt_address)

    def get_alt_address(self):
        return _esysrepo.CmdSync_get_alt_address(self)

    def sync_manifest(self):
        return _esysrepo.CmdSync_sync_manifest(self)

# Register CmdSync in _esysrepo:
_esysrepo.CmdSync_swigregister(CmdSync)



